VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CInpage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Dim iUnicodeChar(255) As Integer
Public Function ConvertHTML(ByVal sText As String) As String
    Dim sUniText As String
    Dim sHTMLtext As String
    Dim iLen As Integer
    Dim iIndex As Integer
    Dim iChar As Integer
    
    sUniText = ConvertUnicode(sText)
    iLen = Len(sUniText)
    For iIndex = 1 To iLen
        iChar = AscW(Mid(sUniText, iIndex, 1))
        If iChar > 255 Then
            sHTMLtext = sHTMLtext & "&#" & iChar & ";"
        Else
            If iChar = 10 Then
                sHTMLtext = sHTMLtext & "<br>"
            Else
                sHTMLtext = sHTMLtext & Chr(iChar)
            End If
        End If
    Next
    ConvertHTML = sHTMLtext
End Function

Public Function ConvertUnicode(ByVal sText As String) As String
Dim iLen As Integer
Dim iIndex As Integer
Dim iChar As Integer
Dim sUniText As String


iLen = Len(sText)
For iIndex = 1 To iLen
    iChar = Asc(Mid(sText, iIndex, 1))
    If iChar = 4 Then
        iIndex = iIndex + 1
        iChar = Asc(Mid(sText, iIndex, 1))
        
        If iChar = 129 And Asc(Mid(sText, iIndex + 1, 1)) = 4 And Asc(Mid(sText, iIndex + 2, 1)) = 179 Then 'alif mad
            sUniText = sUniText & ChrW(1570)
            iIndex = iIndex + 2
        Else
            If iUnicodeChar(iChar) <> 0 Then
                sUniText = sUniText & ChrW(iUnicodeChar(iChar))
            End If
        End If
    Else
        sUniText = sUniText & Chr(iChar)
    End If
Next
ConvertUnicode = sUniText
End Function

Private Sub Class_Initialize()
' iUnicodeChar(0) =
' iunicodechar(1) =
' iunicodechar(2) =
' iunicodechar(3) =
' iunicodechar(4) =
' iunicodechar(5) =
' iunicodechar(6) =
' iunicodechar(7) =
' iunicodechar(8) =
' iunicodechar(9) =
' iunicodechar(10) =
' iunicodechar(11) =
' iunicodechar(12) =
' iunicodechar(13) =
' iunicodechar(14) =
' iunicodechar(15) =
' iunicodechar(16) =
' iunicodechar(17) =
' iunicodechar(18) =
' iunicodechar(19) =
' iunicodechar(20) =
' iunicodechar(21) =
' iunicodechar(22) =
' iunicodechar(23) =
' iunicodechar(24) =
' iunicodechar(25) =
' iunicodechar(26) =
' iunicodechar(27) =
' iunicodechar(28) =
' iunicodechar(29) =
' iunicodechar(30) =
' iunicodechar(31) =
 iUnicodeChar(32) = 32
' iunicodechar(33) =
' iunicodechar(34) =
' iunicodechar(35) =
' iunicodechar(36) =
' iunicodechar(37) =
' iunicodechar(38) =
' iunicodechar(39) =
' iunicodechar(40) =
' iunicodechar(41) =
' iunicodechar(42) =
' iunicodechar(43) =
' iunicodechar(44) =
' iunicodechar(45) =
' iunicodechar(46) =
' iunicodechar(47) =
' iunicodechar(48) =
' iunicodechar(49) =
' iunicodechar(50) =
' iunicodechar(51) =
' iunicodechar(52) =
' iunicodechar(53) =
' iunicodechar(54) =
' iunicodechar(55) =
' iunicodechar(56) =
' iunicodechar(57) =
' iunicodechar(58) =
' iunicodechar(59) =
' iunicodechar(60) =
' iunicodechar(61) =
' iunicodechar(62) =
' iunicodechar(63) =
' iunicodechar(64) =
' iunicodechar(65) =
' iunicodechar(66) =
' iunicodechar(67) =
' iunicodechar(68) =
' iunicodechar(69) =
' iunicodechar(70) =
' iunicodechar(71) =
' iunicodechar(72) =
' iunicodechar(73) =
' iunicodechar(74) =
' iunicodechar(75) =
' iunicodechar(76) =
' iunicodechar(77) =
' iunicodechar(78) =
' iunicodechar(79) =
' iunicodechar(80) =
' iunicodechar(81) =
' iunicodechar(82) =
' iunicodechar(83) =
' iunicodechar(84) =
' iunicodechar(85) =
' iunicodechar(86) =
' iunicodechar(87) =
' iunicodechar(88) =
' iunicodechar(89) =
' iunicodechar(90) =
' iunicodechar(91) =
' iunicodechar(92) =
' iunicodechar(93) =
' iunicodechar(94) =
' iunicodechar(95) =
' iunicodechar(96) =
' iunicodechar(97) =
' iunicodechar(98) =
' iunicodechar(99) =
' iunicodechar(100) =
' iunicodechar(101) =
' iunicodechar(102) =
' iunicodechar(103) =
' iunicodechar(104) =
' iunicodechar(105) =
' iunicodechar(106) =
' iunicodechar(107) =
' iunicodechar(108) =
' iunicodechar(109) =
' iunicodechar(110) =
' iunicodechar(111) =
' iunicodechar(112) =
' iunicodechar(113) =
' iunicodechar(114) =
' iunicodechar(115) =
' iunicodechar(116) =
' iunicodechar(117) =
' iunicodechar(118) =
' iunicodechar(119) =
' iunicodechar(120) =
' iunicodechar(121) =
' iunicodechar(122) =
' iunicodechar(123) =
' iunicodechar(124) =
' iunicodechar(125) =
' iunicodechar(126) =
' iunicodechar(127) =
' iunicodechar(128) =
 iUnicodeChar(129) = 1575
 iUnicodeChar(130) = 1576
 iUnicodeChar(131) = 1662
 iUnicodeChar(132) = 1578
 iUnicodeChar(133) = 1657
 iUnicodeChar(134) = 1579
 iUnicodeChar(135) = 1580
 iUnicodeChar(136) = 1670
 iUnicodeChar(137) = 1581
 iUnicodeChar(138) = 1582
 iUnicodeChar(139) = 1583
 iUnicodeChar(140) = 1672
 iUnicodeChar(141) = 1584
 iUnicodeChar(142) = 1585
 iUnicodeChar(143) = 1681
 iUnicodeChar(144) = 1586
 iUnicodeChar(145) = 1688
 iUnicodeChar(146) = 1587
 iUnicodeChar(147) = 1588
 iUnicodeChar(148) = 1589
 iUnicodeChar(149) = 1590
 iUnicodeChar(150) = 1591
 iUnicodeChar(151) = 1592
 iUnicodeChar(152) = 1593
 iUnicodeChar(153) = 1594
 iUnicodeChar(154) = 1601
 iUnicodeChar(155) = 1602
 iUnicodeChar(156) = 1705
 iUnicodeChar(157) = 1711
 iUnicodeChar(158) = 1604
 iUnicodeChar(159) = 1605
 iUnicodeChar(160) = 1606
 iUnicodeChar(161) = 1722
 iUnicodeChar(162) = 1608
 iUnicodeChar(163) = 1574
 iUnicodeChar(164) = 1740
 iUnicodeChar(165) = 1746
 iUnicodeChar(166) = 1729
 iUnicodeChar(167) = 1726
' iunicodechar(168) =
' iunicodechar(169) =
' iunicodechar(170) =
' iunicodechar(171) =
' iunicodechar(172) =
' iunicodechar(173) =
' iunicodechar(174) =
' iunicodechar(175) =
' iunicodechar(176) =
' iunicodechar(177) =
' iunicodechar(178) =
' iunicodechar(179) =
' iunicodechar(180) =
' iunicodechar(181) =
' iunicodechar(182) =
' iunicodechar(183) =
' iunicodechar(184) =
 iUnicodeChar(185) = 1577
' iunicodechar(186) =
' iunicodechar(187) =
' iunicodechar(188) =
' iunicodechar(189) =
' iunicodechar(190) =
' iunicodechar(191) =
' iunicodechar(192) =
' iunicodechar(193) =
' iunicodechar(194) =
' iunicodechar(195) =
' iunicodechar(196) =
' iunicodechar(197) =
' iunicodechar(198) =
' iunicodechar(199) =
' iunicodechar(200) =
' iunicodechar(201) =
' iunicodechar(202) =
' iunicodechar(203) =
' iunicodechar(204) =
' iunicodechar(205) =
' iunicodechar(206) =
' iunicodechar(207) =
' iunicodechar(208) =
' iunicodechar(209) =
' iunicodechar(210) =
' iunicodechar(211) =
' iunicodechar(212) =
' iunicodechar(213) =
' iunicodechar(214) =
' iunicodechar(215) =
' iunicodechar(216) =
' iunicodechar(217) =
' iunicodechar(218) =
' iunicodechar(219) =
' iunicodechar(220) =
' iunicodechar(221) =
' iunicodechar(222) =
' iunicodechar(223) =
' iunicodechar(224) =
' iunicodechar(225) =
' iunicodechar(226) =
' iunicodechar(227) =
' iunicodechar(228) =
' iunicodechar(229) =
' iunicodechar(230) =
' iunicodechar(231) =
' iunicodechar(232) =
' iunicodechar(233) =
' iunicodechar(234) =
' iunicodechar(235) =
' iunicodechar(236) =
' iunicodechar(237) =
' iunicodechar(238) =
' iunicodechar(239) =
' iunicodechar(240) =
' iunicodechar(241) =
' iunicodechar(242) =
 iUnicodeChar(243) = 45
' iunicodechar(244) =
' iunicodechar(245) =
' iunicodechar(246) =
' iunicodechar(247) =
' iunicodechar(248) =
' iunicodechar(249) =
' iunicodechar(250) =
' iunicodechar(251) =
' iunicodechar(252) =
' iunicodechar(253) =
' iunicodechar(254) =
' iunicodechar(255) =

End Sub
